/* MORGAN: Copyright 1991-2005: Univ. of Washington. All rights reserved. */
/* See: http://www.stat.washington.edu/thompson/Genepi/license.shtml      */
/* You may copy, use, modify, but NOT redistribute, modified or otherwise.*/
 "allow component size  I"                                                                       ,
 "allow observed individuals  I"                                                                 ,
 "allow pedigree size  I"                                                                        ,
 "assign gender"                                                                                 ,
 "assume all observed"                                                                           ,
 "check eigenvalues"                                                                             ,
 "check eigenvalue computation"                                                                  ,
 "check ginverse"                                                                                ,
 "check gmatrix"                                                                                 ,
 "check markers consistency"                                                                     ,
 "check markers consistency only"                                                                ,
 "check progress MC iterations  I"                                                               ,
 "check trace"                                                                                   ,
 "compute component  J  inbreeding coefficients  N1 N2 ..."                                      ,
 "compute component  J  kinship coefficients  N1A N1B  N2A N2B ..."                              ,
 "compute component  J  two-locus inbreeding coefficients  N1 ..."                               ,
 "compute eigenvalues"                                                                           ,
 "compute estimates  I  times"                                                                   ,
 "compute IBD statistics"                                                                        ,
 "compute inbreeding coefficients  N1 N2 ..."                                                    ,
 "compute kinship coefficients  N1A N1B  N2A N2B ..."                                            ,
 "compute likelihood-ratio statistics"                                                           ,
 "compute scores every  I  iterations"                                                           ,
 "compute two-locus inbreeding coefficients  N1 ..."                                             ,
 "display"                                                                                       ,
 "display component  J  individuals  N1 ..."                                                     ,
 "display every  I  iterations"                                                                  ,
 "display individuals  N1 ..."                                                                   ,
 "display labels"                                                                                ,
 "display segregations"                                                                          ,
 "fit additive correlations  K12 ..."                                                            ,
 "fit additive covariances  K12 ..."                                                             ,
 "fit environmental model"                                                                       ,
 "fit residual correlations  K12 ..."                                                            ,
 "fit residual covariances  K12 ..."                                                             ,
 "ignore gender"                                                                                 ,
 "input eigenvalue file  S"                                                                      ,
 "input extra file  S"                                                                           ,
 "input marker data file  S"                                                                     ,
 "input pedigree file  S"                                                                        ,
 "input pedigree record father mother"                                                           ,
 "input pedigree record gender absent"                                                           ,
 "input pedigree record gender present"                                                          ,
 "input pedigree record inheritance  H1 H2 ... integer pairs  I11 I12  I21 I22 ..."              ,
 "input pedigree record integers  J"                                                             ,
 "input pedigree record integers  J  reals  K"                                                   ,
 "input pedigree record mother father"                                                           ,
 "input pedigree record names  I"                                                                ,
 "input pedigree record names  I  integers  J"                                                   ,
 "input pedigree record names  I  integers  J  reals  K"                                         ,
 "input pedigree record names  I  reals  K"                                                      ,
 "input pedigree record observed absent"                                                         ,
 "input pedigree record observed present"                                                        ,
 "input pedigree record traits  K1 K2 ...  integers  I1 I2 ..."                                  ,
 "input pedigree record traits  K1 K2 ...  integer pairs  I11 I12  I21 I22 ..."                  ,
 "input pedigree record traits  K1 K2 ...  reals  I1 I2 ..."                                     ,
 "input pedigree size  I"                                                                        ,
 "input peeling sequence file  S"                                                                ,
 "input rescue file  S"                                                                          ,
 "input seed file  S"                                                                            ,
 "limit breeding iterations  I"                                                                  ,
 "limit EM iterations  I"                                                                        ,
 "limit recombination fraction  X"                                                               ,
 "map chromosome  I  gender F  marker distances  X1 ..."                                         ,
 "map chromosome  I  gender F  marker Kosambi distances  X1 ..."                                 ,
 "map chromosome  I  gender F  marker Kosambi positions  X1 ..."                                 ,
 "map chromosome  I  gender F  marker positions  X1 ..."                                         ,
 "map chromosome  I  gender F  marker recombination fractions  X1 ..."                           ,
 "map chromosome  I  gender F  test tloc  L  all interval proportions  X1 ..."                   ,
 "map chromosome  I  gender F  test tloc  L  beginning distances  X1 ..."                        ,
 "map chromosome  I  gender F  test tloc  L  beginning Kosambi distances  X1 ..."                ,
 "map chromosome  I  gender F  test tloc  L  beginning recombination fractions  X1 ..."          ,
 "map chromosome  I  gender F  test tloc  L  ending distances  X1 ..."                           ,
 "map chromosome  I  gender F  test tloc  L  ending Kosambi distances  X1 ..."                   ,
 "map chromosome  I  gender F  test tloc  L  ending recombination fractions  X1 ..."             ,
 "map chromosome  I  gender F  test tloc  L  external distances  X1 ..."                         ,
 "map chromosome  I  gender F  test tloc  L  external Kosambi distances  X1 ..."                 ,
 "map chromosome  I  gender F  test tloc  L  external recombination fractions  X1 ..."           ,
 "map chromosome  I  gender F  test tloc  L  intervals  K1 ...  proportions  X1 ..."             ,
 "map chromosome  I  gender F  tlocs  L1 ...  markers  J1 ...  distances  X1 ..."                ,
 "map chromosome  I  gender F  tlocs  L1 ...  markers  J1 ...  Kosambi distances  X1 ..."        ,
 "map chromosome  I  gender F  tlocs  L1 ...  markers  J1 ...  recombination fractions  X1 ..."  ,
 "map chromosome  I  gender M  marker distances  X1 ..."                                         ,
 "map chromosome  I  gender M  marker Kosambi distances  X1 ..."                                 ,
 "map chromosome  I  gender M  marker Kosambi positions  X1 ..."                                 ,
 "map chromosome  I  gender M  marker positions  X1 ..."                                         ,
 "map chromosome  I  gender M  marker recombination fractions  X1 ..."                           ,
 "map chromosome  I  gender M  test tloc  L  all interval proportions  X1 ..."                   ,
 "map chromosome  I  gender M  test tloc  L  beginning distances  X1 ..."                        ,
 "map chromosome  I  gender M  test tloc  L  beginning Kosambi distances  X1 ..."                ,
 "map chromosome  I  gender M  test tloc  L  beginning recombination fractions  X1 ..."          ,
 "map chromosome  I  gender M  test tloc  L  ending distances  X1 ..."                           ,
 "map chromosome  I  gender M  test tloc  L  ending Kosambi distances  X1 ..."                   ,
 "map chromosome  I  gender M  test tloc  L  ending recombination fractions  X1 ..."             ,
 "map chromosome  I  gender M  test tloc  L  external distances  X1 ..."                         ,
 "map chromosome  I  gender M  test tloc  L  external Kosambi distances  X1 ..."                 ,
 "map chromosome  I  gender M  test tloc  L  external recombination fractions  X1 ..."           ,
 "map chromosome  I  gender M  test tloc  L  intervals   K1 ...  proportions  X1 ..."            ,
 "map chromosome  I  gender M  tlocs  L1 ...  markers  J1 ...  distances  X1 ..."                ,
 "map chromosome  I  gender M  tlocs  L1 ...  markers  J1 ...  Kosambi distances  X1 ..."        ,
 "map chromosome  I  gender M  tlocs  L1 ...  markers  J1 ...  recombination fractions  X1 ..."  ,
 "map chromosome  I  marker distances  X1 ..."                                                   ,
 "map chromosome  I  marker Kosambi distances  X1 ..."                                           ,
 "map chromosome  I  marker Kosambi positions  X1 ..."                                           ,
 "map chromosome  I  marker positions  X1 ..."                                                   ,
 "map chromosome  I  marker recombination fractions  X1 ..."                                     ,
 "map chromosome  I  test tloc  L  all interval proportions  X1 ..."                             ,
 "map chromosome  I  test tloc  L  at markers  J1 ..."                                           ,
 "map chromosome  I  test tloc  L  beginning distances  X1 ..."                                  ,
 "map chromosome  I  test tloc  L  beginning Kosambi distances  X1 ..."                          ,
 "map chromosome  I  test tloc  L  beginning recombination fractions  X1 ..."                    ,
 "map chromosome  I  test tloc  L  ending distances  X1 ...  "                                   ,
 "map chromosome  I  test tloc  L  ending Kosambi distances  X1 ...  "                           ,
 "map chromosome  I  test tloc  L  ending recombination fractions  X1 ..."                       ,
 "map chromosome  I  test tloc  L  external distances  X1 ..."                                   ,
 "map chromosome  I  test tloc  L  external Kosambi distances  X1 ..."                           ,
 "map chromosome  I  test tloc  L  external recombination fractions  X1 ..."                     ,
 "map chromosome  I  test tloc  L  intervals  K1 ...  proportions  X1 ..."                       ,
 "map chromosome  I  test tlocs  L1 L2  jointly at markers  J11 J12 ..."                         ,
 "map chromosome  I  test tlocs  L1 ...  no default interval proportions"                        ,
 "map chromosome  I  test tlocs  L1 ...  no default external positions"                          ,
 "map chromosome  I  tlocs  L1 ...  markers  J1 ...  distances  X1 ..."                          ,
 "map chromosome  I  tlocs  L1 ...  markers  J1 ...  Kosambi distances  X1 ..."                  ,
 "map chromosome  I  tlocs  L1 ...  markers  J1 ...  recombination fractions  X1 ..."            ,
 "map gender F  marker distances  X1 ..."                                                        ,
 "map gender F  marker Kosambi distances  X1 ..."                                                ,
 "map gender F  marker Kosambi positions  X1 ..."                                                ,
 "map gender F  marker positions  X1 ..."                                                        ,
 "map gender F  marker recombination fractions  X1 ..."                                          ,
 "map gender F  test tloc  L  all interval proportions  X1 ..."                                  ,
 "map gender F  test tloc  L  beginning distances  X1 ..."                                       ,
 "map gender F  test tloc  L  beginning Kosambi distances  X1 ..."                               ,
 "map gender F  test tloc  L  beginning recombination fractions  X1 ..."                         ,
 "map gender F  test tloc  L  ending distances  X1 ..."                                          ,
 "map gender F  test tloc  L  ending Kosambi distances  X1 ..."                                  ,
 "map gender F  test tloc  L  ending recombination fractions  X1 ..."                            ,
 "map gender F  test tloc  L  external distances  X1 ..."                                        ,
 "map gender F  test tloc  L  external Kosambi distances  X1 ..."                                ,
 "map gender F  test tloc  L  external recombination fractions  X1 ..."                          ,
 "map gender F  test tloc  L  intervals  K1 ...  proportions  X1 ..."                            ,
 "map gender F  tlocs  L1 ...  markers  J1 ...  distances  X1 ..."                               ,
 "map gender F  tlocs  L1 ...  markers  J1 ...  Kosambi distances  X1 ..."                       ,
 "map gender F  tlocs  L1 ...  markers  J1 ...  recombination fractions  X1 ..."                 ,
 "map gender M  marker distances  X1 ..."                                                        ,
 "map gender M  marker Kosambi distances  X1 ..."                                                ,
 "map gender M  marker Kosambi positions  X1 ..."                                                ,
 "map gender M  marker positions  X1 ..."                                                        ,
 "map gender M  marker recombination fractions  X1 ..."                                          ,
 "map gender M  test tloc  L  all interval proportions  X1 ..."                                  ,
 "map gender M  test tloc  L  beginning distances  X1 ..."                                       ,
 "map gender M  test tloc  L  beginning Kosambi distances  X1 ..."                               ,
 "map gender M  test tloc  L  beginning recombination fractions  X1 ..."                         ,
 "map gender M  test tloc  L  ending distances  X1 ..."                                          ,
 "map gender M  test tloc  L  ending Kosambi distances  X1 ..."                                  ,
 "map gender M  test tloc  L  ending recombination fractions  X1 ..."                            ,
 "map gender M  test tloc  L  external distances  X1 ..."                                        ,
 "map gender M  test tloc  L  external Kosambi distances  X1 ..."                                ,
 "map gender M  test tloc  L  external recombination fractions  X1 ..."                          ,
 "map gender M  test tloc  L  intervals  K1 ...  proportions  X1 ..."                            ,
 "map gender M  tlocs  L1 ...  markers  J1 ...  distances  X1 ..."                               ,
 "map gender M  tlocs  L1 ...  markers  J1 ...  Kosambi distances  X1 ..."                       ,
 "map gender M  tlocs  L1 ...  markers  J1 ...  recombination fractions  X1 ..."                 ,
 "map marker distances  X1 ..."                                                                  ,
 "map marker Kosambi distances  X1 ..."                                                          ,
 "map marker Kosambi positions  X1 ..."                                                          ,
 "map marker positions  X1 ..."                                                                  ,
 "map marker recombination fractions  X1 ..."                                                    ,
 "map test tloc  L  all interval proportions  X1 ..."                                            ,
 "map test tloc  L  at markers  J1 ..."                                                          ,
 "map test tloc  L  beginning distances  X1 ..."                                                 ,
 "map test tloc  L  beginning Kosambi distances  X1 ..."                                         ,
 "map test tloc  L  beginning recombination fractions  X1 ..."                                   ,
 "map test tloc  L  ending distances  X1 ..."                                                    ,
 "map test tloc  L  ending Kosambi distances  X1 ..."                                            ,
 "map test tloc  L  ending recombination fractions  X1 ..."                                      ,
 "map test tloc  L  external distances  X1 ..."                                                  ,
 "map test tloc  L  external Kosambi distances  X1 ..."                                          ,
 "map test tloc  L  external recombination fractions  X1 ..."                                    ,
 "map test tloc  L  intervals  K1 ...  proportions  X1 ..."                                      ,
 "map test tlocs  L1 L2  jointly at markers  J11 J12 ..."                                        ,
 "map test tlocs  L1 ...  no default interval proportions"                                       ,
 "map test tlocs  L1 ...  no default external positions"                                         ,
 "map tlocs  L1 ...  markers  J1 ...  distances  X1 ..."                                         ,
 "map tlocs  L1 ...  markers  J1 ...  Kosambi distances  X1 ..."                                 ,
 "map tlocs  L1 ...  markers  J1 ...  recombination fractions  X1 ..."                           ,
 "map tlocs  L1 ...  unlinked"                                                                   ,
 "output extra file  S"                                                                          ,
 "output final adjusted phenotypes"                                                              ,
 "output founder genome labels"                                                                  ,
 "output maps gender averaged"                                                                   ,
 "output maps gender averaged specific"                                                          ,
 "output maps gender specific"                                                                   ,
 "output marker seeds only"                                                                      ,
 "output meiosis indicators"                                                                     ,
 "output overwrite extra file  S"                                                                ,
 "output overwrite pedigree file  S"                                                             ,
 "output overwrite scores file  S"                                                               ,
 "output overwrite seed file  S"                                                                 ,
 "output pedigree chronological"                                                                 ,
 "output pedigree file  S"                                                                       ,
 "output pedigree record father mother"                                                          ,
 "output pedigree record founder gene labels"                                                    ,
 "output pedigree record mother father"                                                          ,
 "output pedigree record trait latent variables"                                                 ,
 "output pedigree record unobserved variables"                                                   ,
 "output permutation seeds only"                                                                 ,
 "output rao-blackwellized estimates file  S"                                                    ,
 "output rescue file  S"                                                                         ,
 "output sampler seeds only"                                                                     ,
 "output scores every  I  scored MC iterations"                                                  ,
 "output scores file  S"                                                                         ,
 "output seed file  S"                                                                           ,
 "output spacing  I  EM iterations"                                                              ,
 "output statistics correlations"                                                                ,
 "output statistics covariances"                                                                 ,
 "output trait seeds only"                                                                       ,
 "sample by scan"                                                                                ,
 "sample by step"                                                                                ,
 "select all markers"                                                                            ,
 "select chromosome  I  all markers"                                                             ,
 "select chromosome  I  markers  J1 J2 ..."                                                      ,
 "select inheritance  H"                                                                         ,
 "select markers  J1 J2 ..."                                                                     ,
 "select partially phased data"                                                                  ,
 "select phased data"                                                                            ,
 "select  I  state transition matrix"                                                            ,
 "select trait  K1 ..."                                                                          ,
 "select unphased data"                                                                          ,
 "set all marker allele frequencies  X1 ..."                                                     ,
 "set base log likelihoods  X1 ..."                                                              ,
 "set  I  batches MC variance estimation"                                                        ,
 "set breeding convergence  X"                                                                   ,
 "set burn-in iterations  I"                                                                     ,
 "set chromosome  I  all marker allele frequencies  X1 ..."                                      ,
 "set chromosome  I  locus window  J"                                                            ,
 "set chromosome  I  markers  N  data  N1  M1 M2 ..."                                            ,
 "set chromosome  I  markers  J1 ...  allele frequencies  X1 ... "                               ,
 "set chromosome  I  marker names  N1 N2 ..."                                                    ,
 "set component  J  proband gametes  N1 K1  N2 K2 ..."                                           ,
 "set component  J  scoreset  K  proband gametes  N1 K1  N2 K2 ..."                              ,
 "set component  J  scoreset  K  window patterns  L1 ..."                                        ,
 "set component  J  window patterns  L1 ..."                                                     ,
 "set debugging cmf"                                                                             ,
 "set debugging gldisp"                                                                          ,
 "set debugging ibdgraph"                                                                        ,
 "set debug level"                                                                               ,
 "set debugging main"                                                                            ,
 "set debugging markers"                                                                         ,
 "set debugging nghds"                                                                           ,
 "set debugging pars"                                                                            ,
 "set debugging pedchk"                                                                          ,
 "set debugging peel"                                                                            ,
 "set debugging quant"                                                                           ,
 "set debugging rans"                                                                            ,
 "set debugging sample"                                                                          ,
 "set debugging stuff"                                                                           ,
 "set debugging twoqtl"                                                                          ,
 "set eigenvalues  X1 ..."                                                                       ,
 "set EM convergence  X"                                                                         ,
 "set genotyping error rate  X"                                                                  , 
 "set global MCMC"                                                                               ,
 "set IBD measures maxFGL"                                                                       ,
 "set IBD measures maxFGL Spairs"                                                                ,
 "set IBD measures maxFGL Spairs Srobdom"                                                        ,
 "set IBD measures maxFGL Srobdom"                                                               ,
 "set IBD measures Saff-unaff"                                                                   ,
 "set IBD measures Saff-unaff Slambda"                                                           ,
 "set IBD measures Slambda"                                                                      ,
 "set IBD measures Spairs"                                                                       ,
 "set IBD measures Spairs Saff-unaff"                                                            ,
 "set IBD measures Spairs Saff-unaff Slambda"                                                    ,
 "set IBD measures Spairs Slambda"                                                               ,
 "set IBD measures Spairs Srobdom"                                                               ,
 "set IBD measures Spairs Srobdom Saff-unaff"                                                    ,
 "set IBD measures Spairs Srobdom Saff-unaff Slambda"                                            ,
 "set IBD measures Spairs Srobdom Slambda"                                                       ,
 "set IBD measures Srobdom"                                                                      ,
 "set IBD measures Srobdom Saff-unaff"                                                           ,
 "set IBD measures Srobdom Saff-unaff Slambda"                                                   ,
 "set IBD measures Srobdom Slambda"                                                              ,
 "set IBD permutations  I"                                                                       ,
 "set IBD tests normal"                                                                          ,
 "set IBD tests normal permutation"                                                              ,
 "set IBD tests permutation"                                                                     ,
 "set inheritances  H1 ...  tlocs  L1 ..."                                                       ,
 "set kinship change rate  X"                                                                    ,
 "set L-sampler probability  X"                                                                  ,
 "set likelihood-ratio lambda-p model gridpoints  I1 I2"                                         ,
 "set likelihood-ratio measures delta"                                                           ,
 "set likelihood-ratio measures delta lambda-p"                                                  ,
 "set likelihood-ratio measures lambda-p"                                                        ,
 "set likelihood-ratio tests chi-squared"                                                        ,
 "set limit for exact computation  I1"                                                           ,
 "set locus window  J"                                                                           ,
 "set LRT statistics iterations  I"                                                              ,
 "set map estimation model with mistyping"                                                       ,
 "set map estimation model with no mistyping"                                                    ,
 "set markers  N  data  N1  M1 M2 ..."                                                           ,
 "set markers  J1 ...  allele frequencies  X1 ..."                                               ,
 "set marker names  N1 N2 ..."                                                                   ,
 "set marker seeds  H1  H2"                                                                      ,
 "set MC iterations  I"                                                                          ,
 "set MCMC markers only"                                                                         ,
 "set normalized allele frequencies"                                                             ,
 "set peeling sequence  X1 ..."                                                                  ,
 "set permutation seeds  H1  H2"                                                                 ,
 "set population kinship  X"                                                                     ,
 "set printlevel"                                                                                ,
 "set proband gametes  N1 K1  N2 K2 ..."                                                         ,
 "set pseudo-priors  X1 X2 ..."                                                                  ,
 "set pseudo-prior iterations  I"                                                                ,
 "set recombination frequencies X1 ..."                                                          ,
 "set residual correlations  X12 ..."                                                            ,
 "set residual covariances  X12 ..."                                                             ,
 "set SA ascent iterations  I"                                                                   ,
 "set SA convergence  X"                                                                         ,
 "set SA curvature iterations  I"                                                                ,
 "set SA gradient iterations  I"                                                                 ,
 "set sampler seeds  H1  H2"                                                                     ,
 "set scoreset  K  proband gametes  N1 K1  N2 K2 ..."                                            ,
 "set scoreset  K  window patterns  L1 ..."                                                      ,
 "set sequential imputation proposals every  I  iterations"                                      ,
 "set test position window  I"                                                                   ,
 "set tlocs  L1 ...  allele frequencies  X1 ..."                                                 ,
 "set tlocs  L1 ...  imc allele frequencies  X1 ..."                                             ,
 "set traits  K1 ...  additive variance  X"                                                      ,
 "set trait  K  data discrete"                                                                   ,
 "set trait  K  data discrete with covariate"                                                    ,
 "set trait  K  data discrete with liability"                                                    ,
 "set trait  K  data genotypic"                                                                  ,
 "set trait  K  data quantitative"                                                               ,
 "set traits  K1 ...  effects  E1 ..."                                                           ,
 "set traits  K1 ...  for tlocs  L1 ...  genotype means  X1 X2 X3"                               ,
 "set traits  K1 ...  for tlocs  L1 ...  incomplete penetrances  X1 X2 X3"                       ,
 "set trait  K1  for tlocs  L1 L2  joint genotype means  X11 X12 X13 X21 X22 X23 X31 X32 X33"    ,
 "set traits  K1 ...  multiple tlocs  L1 ..."                                                    ,
 "set traits  K1 ...  residual variance  X"                                                      ,
 "set trait seeds  H1  H2"                                                                       ,
 "set traits  K1 ...  tlocs  L1 ..."                                                             ,
 "set transition matrix null fraction  X"                                                        ,
 "set window patterns  L1 ..."                                                                   ,
 "simulate chromosome  I  markers"                                                               ,
 "simulate markers"                                                                              ,
 "simulate tlocs   K1 ..."                                                                       ,
 "simulate traits  K1 ..."                                                                       ,
 "start additive correlations  X12 ..."                                                          ,
 "start additive covariances  X12 ..."                                                           ,
 "start additive variances  X1 ..."                                                              ,
 "start residual correlations  X12 ..."                                                          ,
 "start residual covariances  X12 ..."                                                           ,
 "start residual variances  X1 ..."                                                              ,
 "start trait  K  effect  J  X1 ..."                                                             ,
 "start trait  K  mean  X"                                                                       ,
 "use exact summation for trait"                                                                 ,
 "use full EM"                                                                                   ,
 "use locus-by-locus sampling for setup"                                                         ,
 "use  I  MC realizations for trait"                                                             ,
 "use MC summation for trait"                                                                    ,
 "use MCEM and SA for maximization"                                                              , 
 "use MCEM only for maximization"                                                                , 
 "use multiplier  I  MC realizations for null"                                                   ,
 "use multiple meiosis sampler"                                                                  ,
 "use partitioned EM"                                                                            ,
 "use sequential imputation for setup"                                                           ,
 "use  I  sequential imputation realizations for setup"                                          ,
 "use single meiosis sampler"                                                                    ,
